<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:dd9b214d-6469-4032-9055-fb1e6009724c,g:adcb6ae8-f80f-4f7b-91df-8fb5d27b43c1-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:crwv="http://coreweave.com/20250930" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://coreweave.com/20250930">
  <xs:import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2025" schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/country/2025" schemaLocation="https://xbrl.sec.gov/country/2025/country-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="crwv-20250930_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="crwv-20250930_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="crwv-20250930_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="crwv-20250930_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="Cover" roleURI="http://coreweave.com/role/Cover">
        <link:definition>0000001 - Document - Cover</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDBALANCESHEETS" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS">
        <link:definition>9952151 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDBALANCESHEETSParenthetical" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSParenthetical">
        <link:definition>9952152 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS">
        <link:definition>9952153 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVELOSS" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVELOSS">
        <link:definition>9952154 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFREDEEMABLECONVERTIBLEPREFERREDSTOCKREDEEMABLECOMMONSTOCKANDSTOCKHOLDERSEQUITYDEFICIT" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFREDEEMABLECONVERTIBLEPREFERREDSTOCKREDEEMABLECOMMONSTOCKANDSTOCKHOLDERSEQUITYDEFICIT">
        <link:definition>9952155 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF REDEEMABLE CONVERTIBLE PREFERRED STOCK, REDEEMABLE COMMON STOCK, AND STOCKHOLDERS&#8217; EQUITY (DEFICIT)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS">
        <link:definition>9952156 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONDENSEDCONSOLIDATEDSTATEMENTSOFREDEEMABLECONVERTIBLEPREFERREDSTOCKREDEEMABLECOMMONSTOCKANDSTOCKHOLDERSEQUITYDEFICITParenthetical" roleURI="http://coreweave.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFREDEEMABLECONVERTIBLEPREFERREDSTOCKREDEEMABLECOMMONSTOCKANDSTOCKHOLDERSEQUITYDEFICITParenthetical">
        <link:definition>9952157 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF REDEEMABLE CONVERTIBLE PREFERRED STOCK, REDEEMABLE COMMON STOCK, AND STOCKHOLDERS&#8217; EQUITY (DEFICIT) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OverviewandSummaryofSignificantAccountingPolicies" roleURI="http://coreweave.com/role/OverviewandSummaryofSignificantAccountingPolicies">
        <link:definition>9952158 - Disclosure - Overview and Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Revenues" roleURI="http://coreweave.com/role/Revenues">
        <link:definition>9952159 - Disclosure - Revenues</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurements" roleURI="http://coreweave.com/role/FairValueMeasurements">
        <link:definition>9952160 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinations" roleURI="http://coreweave.com/role/BusinessCombinations">
        <link:definition>9952161 - Disclosure - Business Combinations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PropertyandEquipmentNet" roleURI="http://coreweave.com/role/PropertyandEquipmentNet">
        <link:definition>9952162 - Disclosure - Property and Equipment, Net</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssets" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssets">
        <link:definition>9952163 - Disclosure - Goodwill and Intangible Assets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsComponents" roleURI="http://coreweave.com/role/CondensedConsolidatedBalanceSheetsComponents">
        <link:definition>9952164 - Disclosure - Condensed Consolidated Balance Sheets Components</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Leases" roleURI="http://coreweave.com/role/Leases">
        <link:definition>9952165 - Disclosure - Leases</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentandContingencies" roleURI="http://coreweave.com/role/CommitmentandContingencies">
        <link:definition>9952166 - Disclosure - Commitment and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Debt" roleURI="http://coreweave.com/role/Debt">
        <link:definition>9952167 - Disclosure - Debt</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficit" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficit">
        <link:definition>9952168 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxes" roleURI="http://coreweave.com/role/IncomeTaxes">
        <link:definition>9952169 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossPerShareAttributabletoCommonStockholders" roleURI="http://coreweave.com/role/NetLossPerShareAttributabletoCommonStockholders">
        <link:definition>9952170 - Disclosure - Net Loss Per Share Attributable to Common Stockholders</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactions" roleURI="http://coreweave.com/role/RelatedPartyTransactions">
        <link:definition>9952171 - Disclosure - Related-Party Transactions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GeographicInformation" roleURI="http://coreweave.com/role/GeographicInformation">
        <link:definition>9952172 - Disclosure - Geographic Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://coreweave.com/role/SubsequentEvents">
        <link:definition>9952173 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OverviewandSummaryofSignificantAccountingPoliciesPolicies" roleURI="http://coreweave.com/role/OverviewandSummaryofSignificantAccountingPoliciesPolicies">
        <link:definition>9955511 - Disclosure - Overview and Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueTables" roleURI="http://coreweave.com/role/RevenueTables">
        <link:definition>9955512 - Disclosure - Revenue (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsTables" roleURI="http://coreweave.com/role/FairValueMeasurementsTables">
        <link:definition>9955513 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinationsTables" roleURI="http://coreweave.com/role/BusinessCombinationsTables">
        <link:definition>9955514 - Disclosure - Business Combinations (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PropertyPlantandEquipmentTables" roleURI="http://coreweave.com/role/PropertyPlantandEquipmentTables">
        <link:definition>9955515 - Disclosure - Property, Plant, and Equipment (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssetsTables" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssetsTables">
        <link:definition>9955516 - Disclosure - Goodwill and Intangible Assets (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsComponentsTables" roleURI="http://coreweave.com/role/CondensedConsolidatedBalanceSheetsComponentsTables">
        <link:definition>9955517 - Disclosure - Condensed Consolidated Balance Sheets Components (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesTables" roleURI="http://coreweave.com/role/LeasesTables">
        <link:definition>9955518 - Disclosure - Leases (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtTables" roleURI="http://coreweave.com/role/DebtTables">
        <link:definition>9955519 - Disclosure - Debt (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitTables" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitTables">
        <link:definition>9955520 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossPerShareAttributabletoCommonStockholdersTables" roleURI="http://coreweave.com/role/NetLossPerShareAttributabletoCommonStockholdersTables">
        <link:definition>9955521 - Disclosure - Net Loss Per Share Attributable to Common Stockholders (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GeographicInformationTables" roleURI="http://coreweave.com/role/GeographicInformationTables">
        <link:definition>9955522 - Disclosure - Geographic Information (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OverviewandSummaryofSignificantAccountingPoliciesDetails" roleURI="http://coreweave.com/role/OverviewandSummaryofSignificantAccountingPoliciesDetails">
        <link:definition>9955523 - Disclosure - Overview and Summary of Significant Accounting Policies (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueNarrativeDetails" roleURI="http://coreweave.com/role/RevenueNarrativeDetails">
        <link:definition>9955524 - Disclosure - Revenue - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueNarrativeDetails_1" roleURI="http://coreweave.com/role/RevenueNarrativeDetails_1">
        <link:definition>9955524 - Disclosure - Revenue - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueConcentrationRiskDetails" roleURI="http://coreweave.com/role/RevenueConcentrationRiskDetails">
        <link:definition>9955525 - Disclosure - Revenue - Concentration Risk (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueStrategicCustomerAgreementDetails" roleURI="http://coreweave.com/role/RevenueStrategicCustomerAgreementDetails">
        <link:definition>9955526 - Disclosure - Revenue - Strategic Customer Agreement (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasuresBalanceSheetGroupingDetails" roleURI="http://coreweave.com/role/FairValueMeasuresBalanceSheetGroupingDetails">
        <link:definition>9955527 - Disclosure - Fair Value Measures - Balance Sheet Grouping (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsNarrativeDetails" roleURI="http://coreweave.com/role/FairValueMeasurementsNarrativeDetails">
        <link:definition>9955528 - Disclosure - Fair Value Measurements - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasuresScheduleOutstandingInterestRateSwapsandForeignExchangeForwardContractsDetails" roleURI="http://coreweave.com/role/FairValueMeasuresScheduleOutstandingInterestRateSwapsandForeignExchangeForwardContractsDetails">
        <link:definition>9955529 - Disclosure - Fair Value Measures - Schedule Outstanding Interest Rate Swaps and Foreign Exchange Forward Contracts (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasuresScheduleofPreTaxGainLossAssociatedWithInterestRateSwapsandForeignExchangeForwardContractsDetails" roleURI="http://coreweave.com/role/FairValueMeasuresScheduleofPreTaxGainLossAssociatedWithInterestRateSwapsandForeignExchangeForwardContractsDetails">
        <link:definition>9955530 - Disclosure - Fair Value Measures - Schedule of Pre-Tax Gain (Loss) Associated With Interest Rate Swaps and Foreign Exchange Forward Contracts (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementScheduleofLevel3FairValueMeasurementsDetails" roleURI="http://coreweave.com/role/FairValueMeasurementScheduleofLevel3FairValueMeasurementsDetails">
        <link:definition>9955531 - Disclosure - Fair Value Measurement - Schedule of Level 3 Fair Value Measurements (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementScheduleofChangeinFairValueofDerivativeWarrantLiabilitiesDetails" roleURI="http://coreweave.com/role/FairValueMeasurementScheduleofChangeinFairValueofDerivativeWarrantLiabilitiesDetails">
        <link:definition>9955532 - Disclosure - Fair Value Measurement - Schedule of Change in Fair Value of Derivative Warrant Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinationsNarrativeDetails" roleURI="http://coreweave.com/role/BusinessCombinationsNarrativeDetails">
        <link:definition>9955533 - Disclosure - Business Combinations - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinationsScheduleofAggregatePurchaseConsiderationDetails" roleURI="http://coreweave.com/role/BusinessCombinationsScheduleofAggregatePurchaseConsiderationDetails">
        <link:definition>9955534 - Disclosure - Business Combinations - Schedule of Aggregate Purchase Consideration (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinationsScheduleofRecognizedAssetAcquiredandLiabilityDetails" roleURI="http://coreweave.com/role/BusinessCombinationsScheduleofRecognizedAssetAcquiredandLiabilityDetails">
        <link:definition>9955535 - Disclosure - Business Combinations - Schedule of Recognized Asset Acquired and Liability (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessCombinationsScheduleofIntangibleAssetsandTheEstimatedUsefulLivesDetails" roleURI="http://coreweave.com/role/BusinessCombinationsScheduleofIntangibleAssetsandTheEstimatedUsefulLivesDetails">
        <link:definition>9955536 - Disclosure - Business Combinations - Schedule of Intangible Assets and The Estimated Useful Lives (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PropertyandEquipmentNetDetails" roleURI="http://coreweave.com/role/PropertyandEquipmentNetDetails">
        <link:definition>9955537 - Disclosure - Property and Equipment, Net (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PropertyandEquipmentNetNarrativeDetails" roleURI="http://coreweave.com/role/PropertyandEquipmentNetNarrativeDetails">
        <link:definition>9955538 - Disclosure - Property and Equipment, Net - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssetsGoodwillRollforwardDetails" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssetsGoodwillRollforwardDetails">
        <link:definition>9955539 - Disclosure - Goodwill and Intangible Assets - Goodwill Rollforward (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssetsIntangibleAssetsDetails" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssetsIntangibleAssetsDetails">
        <link:definition>9955540 - Disclosure - Goodwill and Intangible Assets - Intangible Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssetsNarrativeDetails" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssetsNarrativeDetails">
        <link:definition>9955541 - Disclosure - Goodwill and Intangible Assets - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillandIntangibleAssetsFutureAmortizationDetails" roleURI="http://coreweave.com/role/GoodwillandIntangibleAssetsFutureAmortizationDetails">
        <link:definition>9955542 - Disclosure - Goodwill and Intangible Assets - Future Amortization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsComponentsPrepaidExpensesandOtherCurrentAssetsDetails" roleURI="http://coreweave.com/role/CondensedConsolidatedBalanceSheetsComponentsPrepaidExpensesandOtherCurrentAssetsDetails">
        <link:definition>9955543 - Disclosure - Condensed Consolidated Balance Sheets Components - Prepaid Expenses and Other Current Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsComponentsOtherNoncurrentAssetsDetails" roleURI="http://coreweave.com/role/CondensedConsolidatedBalanceSheetsComponentsOtherNoncurrentAssetsDetails">
        <link:definition>9955544 - Disclosure - Condensed Consolidated Balance Sheets Components - Other Non-current Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsComponentsAccruedLiabilitiesDetails" roleURI="http://coreweave.com/role/CondensedConsolidatedBalanceSheetsComponentsAccruedLiabilitiesDetails">
        <link:definition>9955545 - Disclosure - Condensed Consolidated Balance Sheets Components - Accrued Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesNarrativeDetails" roleURI="http://coreweave.com/role/LeasesNarrativeDetails">
        <link:definition>9955546 - Disclosure - Leases - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesComponentsofLeaseExpenseDetails" roleURI="http://coreweave.com/role/LeasesComponentsofLeaseExpenseDetails">
        <link:definition>9955547 - Disclosure - Leases - Components of Lease Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesSupplementalBalanceSheetDetails" roleURI="http://coreweave.com/role/LeasesSupplementalBalanceSheetDetails">
        <link:definition>9955548 - Disclosure - Leases - Supplemental Balance Sheet (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesMaturityDetails" roleURI="http://coreweave.com/role/LeasesMaturityDetails">
        <link:definition>9955549 - Disclosure - Leases - Maturity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesMaturityDetails_1" roleURI="http://coreweave.com/role/LeasesMaturityDetails_1">
        <link:definition>9955549 - Disclosure - Leases - Maturity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentandContingenciesDetails" roleURI="http://coreweave.com/role/CommitmentandContingenciesDetails">
        <link:definition>9955550 - Disclosure - Commitment and Contingencies (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtScheduleofDebtDetails" roleURI="http://coreweave.com/role/DebtScheduleofDebtDetails">
        <link:definition>9955551 - Disclosure - Debt - Schedule of Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtScheduleofDebtDetails_1" roleURI="http://coreweave.com/role/DebtScheduleofDebtDetails_1">
        <link:definition>9955551 - Disclosure - Debt - Schedule of Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtMaturitiesDetails" roleURI="http://coreweave.com/role/DebtMaturitiesDetails">
        <link:definition>9955552 - Disclosure - Debt - Maturities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtInterestExpenseDetails" roleURI="http://coreweave.com/role/DebtInterestExpenseDetails">
        <link:definition>9955553 - Disclosure - Debt - Interest Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtNarrativeDetails" roleURI="http://coreweave.com/role/DebtNarrativeDetails">
        <link:definition>9955554 - Disclosure - Debt - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtDelayedDrawTermLoansDetails" roleURI="http://coreweave.com/role/DebtDelayedDrawTermLoansDetails">
        <link:definition>9955555 - Disclosure - Debt - Delayed Draw Term Loans (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtDelayedDrawTermLoanFacility30Details" roleURI="http://coreweave.com/role/DebtDelayedDrawTermLoanFacility30Details">
        <link:definition>9955556 - Disclosure - Debt - Delayed Draw Term Loan Facility 3.0 (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtRevolvingCreditFacilityDetails" roleURI="http://coreweave.com/role/DebtRevolvingCreditFacilityDetails">
        <link:definition>9955557 - Disclosure - Debt - Revolving Credit Facility (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Debt2030SeniorNotesDetails" roleURI="http://coreweave.com/role/Debt2030SeniorNotesDetails">
        <link:definition>9955558 - Disclosure - Debt - 2030 Senior Notes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Debt2031SeniorNotesDetails" roleURI="http://coreweave.com/role/Debt2031SeniorNotesDetails">
        <link:definition>9955559 - Disclosure - Debt - 2031 Senior Notes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Debt2024TermLoanFacilityDetails" roleURI="http://coreweave.com/role/Debt2024TermLoanFacilityDetails">
        <link:definition>9955560 - Disclosure - Debt - 2024 Term Loan Facility (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtMagnetarLoanDetails" roleURI="http://coreweave.com/role/DebtMagnetarLoanDetails">
        <link:definition>9955561 - Disclosure - Debt - Magnetar Loan (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Debt2021ConvertibleSeniorSecuredNotesDetails" roleURI="http://coreweave.com/role/Debt2021ConvertibleSeniorSecuredNotesDetails">
        <link:definition>9955562 - Disclosure - Debt- 2021 Convertible Senior Secured Notes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtOEMFinancingArrangementsDetails" roleURI="http://coreweave.com/role/DebtOEMFinancingArrangementsDetails">
        <link:definition>9955563 - Disclosure - Debt - OEM Financing Arrangements (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtDCSPFinancingArrangementsDetails" roleURI="http://coreweave.com/role/DebtDCSPFinancingArrangementsDetails">
        <link:definition>9955564 - Disclosure - Debt - DCSP Financing Arrangements (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtDCSPFinancingObligationDetails" roleURI="http://coreweave.com/role/DebtDCSPFinancingObligationDetails">
        <link:definition>9955565 - Disclosure - Debt - DCSP Financing Obligation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtDCSPFinancingObligationDetails_1" roleURI="http://coreweave.com/role/DebtDCSPFinancingObligationDetails_1">
        <link:definition>9955565 - Disclosure - Debt - DCSP Financing Obligation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitDetails">
        <link:definition>9955566 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRedeemableSharesNarrativeDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRedeemableSharesNarrativeDetails">
        <link:definition>9955567 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Redeemable Shares Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitPreferredStockDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitPreferredStockDetails">
        <link:definition>9955568 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Preferred Stock (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitCommonStockDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitCommonStockDetails">
        <link:definition>9955569 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Common Stock (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitWarrantstoPurchaseCommonStockDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitWarrantstoPurchaseCommonStockDetails">
        <link:definition>9955570 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Warrants to Purchase Common Stock (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficit2019StockOptionPlanand2025EquityIncentivePlanDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficit2019StockOptionPlanand2025EquityIncentivePlanDetails">
        <link:definition>9955571 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - 2019 Stock Option Plan and 2025 Equity Incentive Plan (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitStockOptionPlanActivityDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitStockOptionPlanActivityDetails">
        <link:definition>9955572 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Stock Option Plan Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitEmployeeStockPurchasePlanDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitEmployeeStockPurchasePlanDetails">
        <link:definition>9955573 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Employee Stock Purchase Plan (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRestrictedStockUnitsActivityDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRestrictedStockUnitsActivityDetails">
        <link:definition>9955574 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Restricted Stock Units Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRestrictedStockAwardsDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitRestrictedStockAwardsDetails">
        <link:definition>9955575 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Restricted Stock Awards (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitStockBasedCompensationExpenseDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitStockBasedCompensationExpenseDetails">
        <link:definition>9955576 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Stock-Based Compensation Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitScheduleofStockBasedCompensationExpenseDetails" roleURI="http://coreweave.com/role/RedeemableConvertiblePreferredStockRedeemableCommonStockandStockholdersEquityDeficitScheduleofStockBasedCompensationExpenseDetails">
        <link:definition>9955577 - Disclosure - Redeemable Convertible Preferred Stock, Redeemable Common Stock, and Stockholders&#8217; Equity (Deficit) - Schedule of Stock-Based Compensation Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesDetails" roleURI="http://coreweave.com/role/IncomeTaxesDetails">
        <link:definition>9955578 - Disclosure - Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossPerShareAttributabletoCommonStockholdersScheduleofCalculationofBasicandDilutedNetLossperShareDetails" roleURI="http://coreweave.com/role/NetLossPerShareAttributabletoCommonStockholdersScheduleofCalculationofBasicandDilutedNetLossperShareDetails">
        <link:definition>9955579 - Disclosure - Net Loss Per Share Attributable to Common Stockholders - Schedule of Calculation of Basic and Diluted Net Loss per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossPerShareAttributabletoCommonStockholdersAntidilutiveSharesDetails" roleURI="http://coreweave.com/role/NetLossPerShareAttributabletoCommonStockholdersAntidilutiveSharesDetails">
        <link:definition>9955580 - Disclosure - Net Loss Per Share Attributable to Common Stockholders - Antidilutive Shares (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossPerShareAttributabletoCommonStockholdersNarrativeDetails" roleURI="http://coreweave.com/role/NetLossPerShareAttributabletoCommonStockholdersNarrativeDetails">
        <link:definition>9955581 - Disclosure - Net Loss Per Share Attributable to Common Stockholders - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsDetails" roleURI="http://coreweave.com/role/RelatedPartyTransactionsDetails">
        <link:definition>9955582 - Disclosure - Related-Party Transactions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GeographicInformationDetails" roleURI="http://coreweave.com/role/GeographicInformationDetails">
        <link:definition>9955583 - Disclosure - Geographic Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GeographicInformationNarrativeDetails" roleURI="http://coreweave.com/role/GeographicInformationNarrativeDetails">
        <link:definition>9955584 - Disclosure - Geographic Information - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsDetails" roleURI="http://coreweave.com/role/SubsequentEventsDetails">
        <link:definition>9955585 - Disclosure - Subsequent Events (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="crwv_TechnologyAndInfrastructure" abstract="false" name="TechnologyAndInfrastructure" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_RedeemableClassACommonStockMember" abstract="true" name="RedeemableClassACommonStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_IssuanceOfSeriesBRedeemableConvertiblePreferredStockMember" abstract="true" name="IssuanceOfSeriesBRedeemableConvertiblePreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_IssuanceOfSeriesCRedeemableConvertiblePreferredStockMember" abstract="true" name="IssuanceOfSeriesCRedeemableConvertiblePreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_TemporaryEquitySharesNewIssues" abstract="false" name="TemporaryEquitySharesNewIssues" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_TemporaryEquityClosingSettlementOfTrancheOption" abstract="false" name="TemporaryEquityClosingSettlementOfTrancheOption" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_TemporaryEquityPaidInKindDividendOnConvertiblePreferredStocksValue" abstract="false" name="TemporaryEquityPaidInKindDividendOnConvertiblePreferredStocksValue" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_TemporaryEquitySharesConversionOfConvertibleSecurities" abstract="false" name="TemporaryEquitySharesConversionOfConvertibleSecurities" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_TemporaryEquityValueConversionOfConvertibleSecurities" abstract="false" name="TemporaryEquityValueConversionOfConvertibleSecurities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_TemporaryEquityReclassificationOfEquityShares" abstract="false" name="TemporaryEquityReclassificationOfEquityShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_AdjustmentsToAdditionalPaidInCapitalAccretionToRedemptionValue" abstract="false" name="AdjustmentsToAdditionalPaidInCapitalAccretionToRedemptionValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_AdjustmentToAdditionalPaidInCapitalReclassificationOfWarrants" abstract="false" name="AdjustmentToAdditionalPaidInCapitalReclassificationOfWarrants" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_StockIssuedDuringPeriodSharesIssuedForContractIncentives" abstract="false" name="StockIssuedDuringPeriodSharesIssuedForContractIncentives" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_StockIssuedDuringPeriodValueIssuedForContractIncentives" abstract="false" name="StockIssuedDuringPeriodValueIssuedForContractIncentives" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ShareBasedPaymentArrangementSharesWithheldForTaxWithholdingObligationForBusinessCombination" abstract="false" name="ShareBasedPaymentArrangementSharesWithheldForTaxWithholdingObligationForBusinessCombination" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_ShareBasedPaymentArrangementDecreaseForTaxWithholdingObligationForBusinessCombination" abstract="false" name="ShareBasedPaymentArrangementDecreaseForTaxWithholdingObligationForBusinessCombination" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ReclassificationsOfTemporaryToPermanentEquityShares" abstract="false" name="ReclassificationsOfTemporaryToPermanentEquityShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_FairValueAdjustmentsOfWarrantsAndDerivatives" abstract="false" name="FairValueAdjustmentsOfWarrantsAndDerivatives" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_PaymentsToAcquireStrategicInvestments" abstract="false" name="PaymentsToAcquireStrategicInvestments" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ProceedsFromSaleOfWarrantsReceivedAsLeaseIncentive" abstract="false" name="ProceedsFromSaleOfWarrantsReceivedAsLeaseIncentive" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DebtConversionConvertedInstrumentReclassificationOfRedeemableClassACommonStockToClassACommonStockAmount" abstract="false" name="DebtConversionConvertedInstrumentReclassificationOfRedeemableClassACommonStockToClassACommonStockAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_NoncashOrPartNoncashAcquisitionNoncashFinancialOrEquityInstrumentConsiderationSharesIssuedValue" abstract="false" name="NoncashOrPartNoncashAcquisitionNoncashFinancialOrEquityInstrumentConsiderationSharesIssuedValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationConsiderationTransferredShareBasedCompensationAwardsAssumed" abstract="false" name="BusinessCombinationConsiderationTransferredShareBasedCompensationAwardsAssumed" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ReclassificationOfWarrantLiabilitiesToEquity" abstract="false" name="ReclassificationOfWarrantLiabilitiesToEquity" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_SettlementOfSeriesBTrancheLiability" abstract="false" name="SettlementOfSeriesBTrancheLiability" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ReclassificationOfCustomerDepositsToDebt" abstract="false" name="ReclassificationOfCustomerDepositsToDebt" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_NonCashInvestments" abstract="false" name="NonCashInvestments" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_WarrantsReceivedAsLeaseIncentive" abstract="false" name="WarrantsReceivedAsLeaseIncentive" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_AssetsAndLiabilitiesLesseeTableTextBlock" abstract="false" name="AssetsAndLiabilitiesLesseeTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="crwv_DebtInterestExpenseTableTextBlock" abstract="false" name="DebtInterestExpenseTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="crwv_OrganizationConsolidationAndPresentationOfFinancialStatementsTable" abstract="true" name="OrganizationConsolidationAndPresentationOfFinancialStatementsTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="crwv_DDTL2.0FacilityMember" abstract="true" name="DDTL2.0FacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_OrganizationConsolidationAndPresentationOfFinancialStatementsLineItems" abstract="true" name="OrganizationConsolidationAndPresentationOfFinancialStatementsLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="crwv_CustomerAMember" abstract="true" name="CustomerAMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_CustomerCMember" abstract="true" name="CustomerCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_CustomerDMember" abstract="true" name="CustomerDMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_CustomerEMember" abstract="true" name="CustomerEMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_OpenAIOpCoLLCMember" abstract="true" name="OpenAIOpCoLLCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_RevenueRecognizedCustomerCommitments" abstract="false" name="RevenueRecognizedCustomerCommitments" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_ContractWithCustomerTerm" abstract="false" name="ContractWithCustomerTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_CustomerBMember" abstract="true" name="CustomerBMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_WarrantAssetMember" abstract="true" name="WarrantAssetMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_PowerPurchaseAgreementsMember" abstract="true" name="PowerPurchaseAgreementsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_RestrictedCashCurrentMember" abstract="true" name="RestrictedCashCurrentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_RestrictedCashNoncurrentMember" abstract="true" name="RestrictedCashNoncurrentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_MarketableSecuritiesCurrentMember" abstract="true" name="MarketableSecuritiesCurrentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_WarrantLiabilityFairValueDisclosure" abstract="false" name="WarrantLiabilityFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_A2030SeniorNotesMember" abstract="true" name="A2030SeniorNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_A2031SeniorNotesMember" abstract="true" name="A2031SeniorNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_OtherIncomeExpenseNetMember" abstract="true" name="OtherIncomeExpenseNetMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_WeightsAndBiasesInc.Member" abstract="true" name="WeightsAndBiasesInc.Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BusinessCombinationConsiderationTransferredShareBasedCompensationAwardsValue" abstract="false" name="BusinessCombinationConsiderationTransferredShareBasedCompensationAwardsValue" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationConsiderationTransferredEquityInterestsIssuable" abstract="false" name="BusinessCombinationConsiderationTransferredEquityInterestsIssuable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationShareBasedCompensationOnStraightLineBasis" abstract="false" name="BusinessCombinationShareBasedCompensationOnStraightLineBasis" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedAssetAcquiredOperatingLeaseRightOfUseAssets" abstract="false" name="BusinessCombinationRecognizedAssetAcquiredOperatingLeaseRightOfUseAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssetsAcquiredIncludingGoodwill" abstract="false" name="BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssetsAcquiredIncludingGoodwill" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedLiabilityAssumedAccruedLiabilitiesCurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedAccruedLiabilitiesCurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilitiesCurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilitiesCurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedLiabilityAssumedContractWithCustomerLiabilityNoncurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedContractWithCustomerLiabilityNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilitiesNoncurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilitiesNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DataCenterEquipmentAndLeaseholdImprovementsMember" abstract="true" name="DataCenterEquipmentAndLeaseholdImprovementsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_FiniteLivedIntangibleAssetExpectedAmortizationAfterYearFour" abstract="false" name="FiniteLivedIntangibleAssetExpectedAmortizationAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_EquitySecuritiesWithoutReadilyDeterminableFairValueAmountNoncurrent" abstract="false" name="EquitySecuritiesWithoutReadilyDeterminableFairValueAmountNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_EscrowFundsNoncurrent" abstract="false" name="EscrowFundsNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_AccruedPurchasesCurrent" abstract="false" name="AccruedPurchasesCurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DataCenterMember" abstract="true" name="DataCenterMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DataCenterAndOfficeBuildingsMember" abstract="true" name="DataCenterAndOfficeBuildingsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_VariousDataCentersMember" abstract="true" name="VariousDataCentersMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_SingleSiteDataCenterMember" abstract="true" name="SingleSiteDataCenterMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_JointVentureMember" abstract="true" name="JointVentureMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DeveloperMember" abstract="true" name="DeveloperMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_ElectricalPowerAccessNotYetCommenced" abstract="false" name="ElectricalPowerAccessNotYetCommenced" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:powerItemType"/>
  <xs:element id="crwv_LesseeOperatingLeaseLiabilityToBePaidAfterYearFour" abstract="false" name="LesseeOperatingLeaseLiabilityToBePaidAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_LettersOfCreditLeaseAgreementsMember" abstract="true" name="LettersOfCreditLeaseAgreementsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DDTL1.0FacilityMember" abstract="true" name="DDTL1.0FacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DDTL2.1FacilityMember" abstract="true" name="DDTL2.1FacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DDTL3.0FacilityMember" abstract="true" name="DDTL3.0FacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_A2024TermLoanFacilityMember" abstract="true" name="A2024TermLoanFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_OEMFinancingArrangementsMember" abstract="true" name="OEMFinancingArrangementsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_MagnetarLoanMember" abstract="true" name="MagnetarLoanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_LongTermDebtMaturityAfterYearFour" abstract="false" name="LongTermDebtMaturityAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DebtInstrumentTermOptionalExtension" abstract="false" name="DebtInstrumentTermOptionalExtension" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_DebtCovenantRestrictedCashRequirementRate" abstract="false" name="DebtCovenantRestrictedCashRequirementRate" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_DebtCovenantRestrictedCashRequirement" abstract="false" name="DebtCovenantRestrictedCashRequirement" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_PeriodSwapAgreementMustBeEnteredIntoBy" abstract="false" name="PeriodSwapAgreementMustBeEnteredIntoBy" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_PercentageOfAnticipatedOutstandingLoan" abstract="false" name="PercentageOfAnticipatedOutstandingLoan" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="crwv_SeniorNotesDue2031Member" abstract="true" name="SeniorNotesDue2031Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_MagAIVenturesMember" abstract="true" name="MagAIVenturesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_ContractWithCustomerOptionalExtensionTerm" abstract="false" name="ContractWithCustomerOptionalExtensionTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_A2021ConvertibleSeniorSecuredNotesMember" abstract="true" name="A2021ConvertibleSeniorSecuredNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_InterestExpenseCouponRate" abstract="false" name="InterestExpenseCouponRate" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DebtConversionConvertedInstrumentCashPayment" abstract="false" name="DebtConversionConvertedInstrumentCashPayment" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_DebtConversionConvertedInstrumentEquityFairValue" abstract="false" name="DebtConversionConvertedInstrumentEquityFairValue" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_CriticalInfrastructureAssetsMember" abstract="true" name="CriticalInfrastructureAssetsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DCSPNoteReceivableMember" abstract="true" name="DCSPNoteReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_FinanceLeaseTransactionAxis" abstract="true" name="FinanceLeaseTransactionAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="crwv_FinanceLeaseTransactionDomain" abstract="true" name="FinanceLeaseTransactionDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_DCSPFinancingObligationMember" abstract="true" name="DCSPFinancingObligationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_ElectricalPowerExpectedToBeReceived" abstract="false" name="ElectricalPowerExpectedToBeReceived" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:powerItemType"/>
  <xs:element id="crwv_FinancingReceivableTerm" abstract="false" name="FinancingReceivableTerm" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_FinancingReceivableStatedRate" abstract="false" name="FinancingReceivableStatedRate" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_LessorDirectFinancingLeaseInterestRate" abstract="false" name="LessorDirectFinancingLeaseInterestRate" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_LesseeDirectFinancingLeaseInterestRate" abstract="false" name="LesseeDirectFinancingLeaseInterestRate" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="crwv_DCSPFinancingLeasesMember" abstract="true" name="DCSPFinancingLeasesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_FinanceLeaseLiabilityToBePaidAfterYearFour" abstract="false" name="FinanceLeaseLiabilityToBePaidAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_SeriesSeedPreferredStockMember" abstract="true" name="SeriesSeedPreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_SeriesB1PreferredStockMember" abstract="true" name="SeriesB1PreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_TemporaryEquityIssuePricePerShare" abstract="false" name="TemporaryEquityIssuePricePerShare" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="crwv_TemporaryEquityVolumeWeightedAveragePriceDays" abstract="false" name="TemporaryEquityVolumeWeightedAveragePriceDays" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="crwv_TemporaryEquityConsecutiveTradingDays" abstract="false" name="TemporaryEquityConsecutiveTradingDays" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="crwv_TemporaryEquityVolumeWeightedAveragePricePerShare" abstract="false" name="TemporaryEquityVolumeWeightedAveragePricePerShare" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="crwv_CommonStockVotingRightsForEach" abstract="false" name="CommonStockVotingRightsForEach" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="crwv_WarrantLiability" abstract="false" name="WarrantLiability" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_FairValueAdjustmentOfWarrantsBeforeModification" abstract="false" name="FairValueAdjustmentOfWarrantsBeforeModification" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_ClassOfWarrantOrRightModificationFees" abstract="false" name="ClassOfWarrantOrRightModificationFees" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="crwv_A2019And2025PlansMember" abstract="true" name="A2019And2025PlansMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_A2019PlanMember" abstract="true" name="A2019PlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_A2025PlanMember" abstract="true" name="A2025PlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_CommonStockCapitalSharesReservedForFutureIssuanceAnnualIncrease" abstract="false" name="CommonStockCapitalSharesReservedForFutureIssuanceAnnualIncrease" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_A2025EmployeeStockPurchasePlanMember" abstract="true" name="A2025EmployeeStockPurchasePlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAllowableUnderThePlan" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAllowableUnderThePlan" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_TechnologyAndInfrastructureMember" abstract="true" name="TechnologyAndInfrastructureMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_RestrictedStockUnitsRSUsAndRestrictedStockAwardRSAsMember" abstract="true" name="RestrictedStockUnitsRSUsAndRestrictedStockAwardRSAsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_A2022SeniorSecuredNotesMember" abstract="true" name="A2022SeniorSecuredNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_SeniorSecuredNotesInvolvingMagnetarMember" abstract="true" name="SeniorSecuredNotesInvolvingMagnetarMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_FacilitiesManagedByMagnetarMember" abstract="true" name="FacilitiesManagedByMagnetarMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_MagAICapacityAgreementMember" abstract="true" name="MagAICapacityAgreementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_ClassOfWarrantOrRightTerm" abstract="false" name="ClassOfWarrantOrRightTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="crwv_ClassOfWarrantOrRightExercised" abstract="false" name="ClassOfWarrantOrRightExercised" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="crwv_ClassOfWarrantOrRightCommonStockOutstandingPercentage" abstract="false" name="ClassOfWarrantOrRightCommonStockOutstandingPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_OwnershipOfCompanyEquityThresholdHoldersEligibleForRedeemableStock" abstract="false" name="OwnershipOfCompanyEquityThresholdHoldersEligibleForRedeemableStock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="crwv_LongLivedAssetsBenchmarkMember" abstract="true" name="LongLivedAssetsBenchmarkMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_LetterOfCreditSubFacilityMember" abstract="true" name="LetterOfCreditSubFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_NitinAgrawalMember" abstract="true" name="NitinAgrawalMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_NitinAgrawalRuleTradingArrangementCommonStockMember" abstract="true" name="NitinAgrawalRuleTradingArrangementCommonStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeMember" abstract="true" name="BranninMcBeeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStock2022IrrevocableTrustMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStock2022IrrevocableTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2024IrrevocableTrustMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2024IrrevocableTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMajorSMTrustMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMajorSMTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2025FamilyTrustLLCMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2025FamilyTrustLLCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMinor2025FamilyTrustLLCMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMinor2025FamilyTrustLLCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2025GRATMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMajor2025GRATMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BranninMcBeeRuleTradingArrangementCommonStockCanisMinor2025GRATMember" abstract="true" name="BranninMcBeeRuleTradingArrangementCommonStockCanisMinor2025GRATMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="crwv_BrianVenturoMember" abstract="true" name="BrianVenturoMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
